## backbone 1.3.3~dfsg

=== debian/changelog ===
backbone (1.3.3~dfsg-5) unstable; urgency=medium

  * Update copyright info: Fix source URLs.
  * Simplify rules:
    + Use pattern rules.
    + Move cleanup to debhelper hint file.
  * Optimize mifification of browser library.
  * Use source-map file extension .min.js.map (not .min.map).
  * Fix use UglifyJS2 v3.
    Tighten to build-depend on recent uglifyjs.
  * Provide gzip and brotli pre-compressed files.
    Build-depend on brotli pigz.
  * Mark as Multi-Arch: foreign.
  * Enable autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Jan 2019 16:49:48 +0100

backbone (1.3.3~dfsg-4) unstable; urgency=medium

  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Stop declare binary relationships in rules file.
    + Use debhelper hint files.
    + Use short-form dh sequencer.
      Stop build-depend on cdbs.
  * Wrap and sort control file.
  * Stop build-depend on dh-buildinfo.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.3.0.
  * Mark build-dependencies needed only for testsuite as such.
  * Fix have node-backbone recommend node-jquery.
    Closes: Bug#892227. Thanks to Ben Finney.
  * Have node-backbone depend on node-lodash
    as alternative to recent node-underscore.
  * Update copyright info: Extend coverage of packaging.
  * Add patch 2002 to avoid privacy breach in documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Dec 2018 15:12:24 +0100

backbone (1.3.3~dfsg-3) unstable; urgency=medium

  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Use package section javascript (not web).
  * Update copyright info: Fix list copyright holder for Roboto font.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Sep 2017 18:52:46 +0200

backbone (1.3.3~dfsg-2) unstable; urgency=medium

  * Update watch file:
    + Use substitution string @PACKAGE@.
    + Update URL.
  * Modernize Vcs-* fields:
    + Use anonscm hostname.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Update URLs to source and upstream contact.
    + Extend coverage for myself.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
  * Update package relations:
    + Drop break/replace libjs-backbone predating oldstable.
  * Advertise DEP3 format in patch headers.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Aug 2017 11:40:39 +0200

backbone (1.3.3~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.8.
  * Tighten (build-)dependency on libjs-underscore and node-underscore.
  * Update copyright info: Extend coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Aug 2016 01:04:37 +0200

=== debian/control ===
Source: backbone
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 brotli,
 coffeescript <!nocheck>,
 debhelper,
 libjs-underscore (>= 1.8.3~dfsg) <!nocheck>,
 node-source-map,
 node-underscore (>= 1.8.3~dfsg) <!nocheck>,
 pandoc <!nodoc>,
 pigz,
 uglifyjs (>= 3),
Standards-Version: 4.3.0
Homepage: http://backbonejs.org/
Vcs-Browser: https://salsa.debian.org/js-team/backbone
Vcs-Git: https://salsa.debian.org/js-team/backbone.git
Rules-Requires-Root: no

Package: libjs-backbone
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-underscore (>= 1.8.3~dfsg),
 ${misc:Depends},
Recommends:
 javascript-common,
Suggests:
 libjs-jquery | libjs-lodash,
 libjs-jquery-lazyload,
 libjs-json,
Description: some Backbone for JavaScript applications - browser library
 Backbone gives structure to your serious JavaScript web applications by
 supplying models with key-value binding and custom events, collections
 with a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing API over a RESTful JSON
 interface.
 .
 This package contains backbone usable directly in web browsers.
 .
 RESTful persistence and DOM manipulation with Backbone.View requires
 either of the packages libjs-jquery libjs-lodash, and libjs-json for
 older Internet Explorer support.
 .
 Optimal rendering of upstream index.html requires the package
 libjs-jquery-lazyload.

Package: node-backbone
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-backbone,
 node-underscore (>= 1.8.3~dfsg) | node-lodash,
 nodejs,
 ${misc:Depends},
Recommends:
 node-jquery,
Suggests:
 libjs-jquery-lazyload,
Description: some Backbone for JavaScript applications - Node module
 Node is an event-based server-side JavaScript engine.
 .
 Backbone gives structure to your serious JavaScript web applications by
 supplying models with key-value binding and custom events, collections
 with a rich API of enumerable functions, views with declarative event
 handling, and connects it all to your existing API over a RESTful JSON
 interface.
 .
 This package contains node-uuid usable with Node.
 .
 Optimal rendering of upstream index.html requires the package
 libjs-jquery-lazyload.

=== debian/rules ===
#!/usr/bin/make -f

# generate plaintext documentation from upstream html
DOCS = README.md index.html
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS += index.txt
endif

%:
	dh $@

# build minified browser library
# * include source-map
# * include pre-compressed gzip and brotli files
%.min.js: %.js
	uglifyjs --compress --mangle \
		--source-map "base='$(CURDIR)',url='$*.min.js.map'" \
		--output $@ \
		-- $<
	pigz --force --keep -11 -- $@ $*.min.js.map
	brotli --force --keep --best -- $@ $*.min.js.map

%.txt: %.html
	pandoc --from html --to plain --output $@ $<

test/%.coffee:
	coffee $@

override_dh_auto_build: backbone.min.js $(DOCS)

override_dh_auto_test: $(wildcard test/*.coffee)
#	xvfs-run -a phantomjs test/vendor/runner.js test/index.html?noglobals=true

# install core documentation with all binary packages
override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 https://github.com/jashkenas/backbone/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## backbone 1.4.0~dfsg+~1.4.5

=== debian/changelog ===
backbone (1.4.0~dfsg+~1.4.5-2) unstable; urgency=medium

  * Team upload
  * Really install @types/backbone

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 11:39:44 +0100

backbone (1.4.0~dfsg+~1.4.5-1) unstable; urgency=medium

  [ upstream ]
  * new release(s).

  [ Jonas Smedegaard ]
  * update watch file:
    + use github pattern
    + use substitution strings
    + use dversionmangle=auto
    + rewrite usage comment
  * copyright:
    + list only main Source URL
    + update coverage
  * embed typescript types
  * provide virtual package node-types-backbone;
    build-depend on jq
  * update and unfuzz patches
  * install Nodejs module below /usr/share (not /usr/lib)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Dec 2020 05:18:59 +0100

backbone (1.3.3~dfsg-6) unstable; urgency=medium

  [ Debian Janitor ]
  * use secure URI in Homepage field
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse

  [ Jonas Smedegaard ]
  * use brotli compression suffix .brotli
    (not .br used for language breton)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Dec 2020 21:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Build-Depends:
  brotli,
  coffeescript <!nocheck>,
- debhelper,
+ debhelper-compat (= 12),
+ jq,
  libjs-underscore (>= 1.8.3~dfsg) <!nocheck>,
  node-source-map,
  node-underscore (>= 1.8.3~dfsg) <!nocheck>,
  pandoc <!nodoc>,
  pigz,
  uglifyjs (>= 3),
-Standards-Version: 4.3.0
-Homepage: http://backbonejs.org/
+Standards-Version: 4.5.1
+Homepage: https://backbonejs.org/
 Vcs-Browser: https://salsa.debian.org/js-team/backbone
 Vcs-Git: https://salsa.debian.org/js-team/backbone.git
 Rules-Requires-Root: no
@@ -60,6 +61,9 @@
  node-jquery,
 Suggests:
  libjs-jquery-lazyload,
+Provides:
+ node-types-backbone (= ${types:Version}),
+Breaks: node-typescript-types (<< 20210110-2~)
 Description: some Backbone for JavaScript applications - Node module
  Node is an event-based server-side JavaScript engine.
  .

=== debian/tests/control ===
Test-Command: node -e "require('backbone');"

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/jashkenas/backbone/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

# NPM registry needed for node types (avoid if at all possible!)
opts=\
component=Xtypes,\
searchmode=plain,\
pgpmode=none,\
filenamemangle=s/.*?-?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-types-$1/,\
dversionmangle=auto \
https://registry.npmjs.org/@types/backbone \
https://registry.npmjs.org/@types/backbone/-/backbone-@ANY_VERSION@@ARCHIVE_EXT@ group

## backbone 1.4.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Weighted Graphs
Version: 1.4.0
Authors@R: c(
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = c("aut", "cre")), 
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = "aut"),
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut")) 
Description: Provides methods for extracting from a weighted graph 
    a binary or signed backbone that retains only the significant edges. 
    The user may input a weighted graph, or a bipartite graph 
    from which a weighted graph is first constructed via projection.
    Backbone extraction methods include the stochastic degree sequence model (Neal, Z. P. (2014). <doi:10.1016/j.socnet.2014.06.001>),
    hypergeometric model (Neal, Z. (2013). <doi:10.1007/s13278-013-0107-y>), 
    the fixed degree sequence model (Zweig, K. A., and Kaufmann, M. (2011). <doi:10.1007/s13278-011-0021-0>),
    fixed column model, fixed fill model,
    as well as a universal threshold method. 
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 2.10)
Imports: Matrix, methods, stats, utils, igraph, network,
        PoissonBinomial
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/domagal9/backbone
BugReports: https://github.com/domagal9/backbone/issues
NeedsCompilation: no
Packaged: 2021-04-01 15:45:31 UTC; Rachel
Author: Rachel Domagalski [aut, cre],
  Zachary Neal [aut],
  Bruce Sagan [aut]
Maintainer: Rachel Domagalski <domagal9@msu.edu>
Repository: CRAN
Date/Publication: 2021-04-01 17:40:03 UTC

## backbone 1.4.1~dfsg%2B~1.4.15

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: backbone
 Section: javascript
-Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  brotli,
  coffeescript <!nocheck>,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  jq,
  libjs-underscore (>= 1.8.3~dfsg) <!nocheck>,
  node-source-map,
@@ -15,11 +14,10 @@
  pandoc <!nodoc>,
  pigz,
  uglifyjs (>= 3),
-Standards-Version: 4.5.1
+Standards-Version: 4.7.3
 Homepage: https://backbonejs.org/
 Vcs-Browser: https://salsa.debian.org/js-team/backbone
 Vcs-Git: https://salsa.debian.org/js-team/backbone.git
-Rules-Requires-Root: no
 
 Package: libjs-backbone
 Architecture: all
@@ -55,7 +53,6 @@
 Depends:
  libjs-backbone,
  node-underscore (>= 1.8.3~dfsg) | node-lodash,
- nodejs,
  ${misc:Depends},
 Recommends:
  node-jquery,

## backbone 1.4.1~dfsg+~1.4.15

=== debian/changelog ===
backbone (1.4.1~dfsg+~1.4.15-3) unstable; urgency=medium

  * Team upload
  * Fix install, node module was unusable

 -- Yadd <yadd@debian.org>  Tue, 03 May 2022 06:28:21 +0200

backbone (1.4.1~dfsg+~1.4.15-2) unstable; urgency=medium

  * Team upload
  * Fix old-style autopkgtest (Closes: 1007736)

 -- Yadd <yadd@debian.org>  Wed, 16 Mar 2022 06:19:33 +0100

backbone (1.4.1~dfsg+~1.4.15-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Yadd ]
  * Add ctype=nodejs to component(s)
  * Drop dependency to nodejs
  * Fix copyright
  * New upstream version 1.4.1~dfsg+~1.4.15
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Thu, 03 Mar 2022 20:19:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: backbone
 Section: javascript
+Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
@@ -14,10 +15,11 @@
  pandoc <!nodoc>,
  pigz,
  uglifyjs (>= 3),
-Standards-Version: 4.7.3
+Standards-Version: 4.6.0
 Homepage: https://backbonejs.org/
 Vcs-Browser: https://salsa.debian.org/js-team/backbone
 Vcs-Git: https://salsa.debian.org/js-team/backbone.git
+Rules-Requires-Root: no
 
 Package: libjs-backbone
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 # generate plaintext documentation from upstream html
 DOCS = README.md index.html
@@ -18,7 +20,7 @@
 		--output $@ \
 		-- $<
 	pigz --force --keep -11 -- $@ $*.min.js.map
-	brotli --force --keep --best -- $@ $*.min.js.map
+	brotli --force --keep --best --suffix=.brotli -- $@ $*.min.js.map
 
 %.txt: %.html
 	pandoc --from html --to plain --output $@ $<
@@ -34,3 +36,6 @@
 # install core documentation with all binary packages
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
+
+override_dh_gencontrol:
+	dh_gencontrol -- -V"types:Version=$(shell jq --raw-output .version < Xtypes/package.json)~$(DEB_VERSION)"

=== debian/tests/control ===
Test-Command: node -e "require('backbone');"
Depends: @, nodejs
Restrictions: superficial
Features: test-name=require

## backbone 1.5.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Weighted Graphs
Version: 1.5.0
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre")),
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut")) 
Description: Provides methods for extracting from a weighted graph 
    a binary or signed backbone that retains only the significant edges. 
    The user may input a weighted graph, or a bipartite graph 
    from which a weighted graph is first constructed via projection.
    Backbone extraction methods include the stochastic degree sequence model (SDSM; Neal, Z. P. (2014). <doi:10.1016/j.socnet.2014.06.001>), 
    the fixed degree sequence model (FDSM; Zweig, K. A., and Kaufmann, M. (2011). <doi:10.1007/s13278-011-0021-0>),
    the fixed row model (FRM; Neal, Z. P. (2013). <doi:10.1007/s13278-013-0107-y>), 
    the fixed column model (FCM; Neal, Domagalski, and Sagan (2021). <arXiv:2105.13396>),
    the fixed fill model (FFM; Neal, Domagalski, and Sagan (2021). <arXiv:2105.13396>),
    and a universal threshold method. 
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Depends: R (>= 2.10)
Imports: Matrix, methods, stats, utils, igraph, network,
        PoissonBinomial
Suggests: knitr, rmarkdown, testthat
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/domagal9/backbone
BugReports: https://github.com/domagal9/backbone/issues
NeedsCompilation: no
Packaged: 2021-06-03 17:26:45 UTC; zacharyneal
Author: Zachary Neal [aut, cre],
  Rachel Domagalski [aut],
  Bruce Sagan [aut]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2021-06-04 08:00:15 UTC

## backbone 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Weighted Graphs
-Version: 1.5.0
+Version: 1.5.1
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre")),
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
@@ -29,10 +29,10 @@
         https://github.com/domagal9/backbone
 BugReports: https://github.com/domagal9/backbone/issues
 NeedsCompilation: no
-Packaged: 2021-06-03 17:26:45 UTC; zacharyneal
+Packaged: 2021-09-15 13:04:02 UTC; zacharyneal
 Author: Zachary Neal [aut, cre],
   Rachel Domagalski [aut],
   Bruce Sagan [aut]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2021-06-04 08:00:15 UTC
+Date/Publication: 2021-09-17 15:30:09 UTC

## backbone 2.0.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Graphs
Version: 2.0.0
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre")),
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut"),
    person("Godard", "Karl", email = "godardk@umich.edu", role = "ctb")) 
Description: An implementation of methods for extracting an unweighted unipartite
   graph (i.e. a backbone) from an unweighted unipartite graph (Hamann et al., 2016 
   <doi:10.1007/s13278-016-0332-2>), a weighted  unipartite graph (Serrano et al., 
   2009 <doi:10.1073/pnas.0808904106>), the projection of an unweighted bipartite
   graph (Neal et al., <doi:10.1038/s41598-021-03238-3>, or the projection of a weighted
   bipartite graph (Neal, 2017 <doi:10.1177/0308518X16631339>). It also provides utility
   functions to generate random binary matrices with (a) given density, (b) given row
   and column marginals, and (c) given row and column marginal distributions.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.2
Depends: R (>= 2.10)
Imports: igraph, Matrix, methods, network, PoissonBinomial, stats,
        Rcpp, utils,
Suggests: knitr, MASS, rmarkdown, testthat (>= 3.0.0)
LinkingTo: Rcpp
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/zpneal/backbone
BugReports: https://github.com/zpneal/backbone/issues
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2021-12-09 18:54:10 UTC; zacharyneal
Author: Zachary Neal [aut, cre],
  Rachel Domagalski [aut],
  Bruce Sagan [aut],
  Godard Karl [ctb]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2021-12-10 13:30:02 UTC

## backbone 2.0.1

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Graphs
Version: 2.0.1
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut"),
    person("Karl", "Godard", email = "godardk@umich.edu", role = "ctb")) 
Description: An implementation of methods for extracting an unweighted unipartite
   graph (i.e. a backbone) from an unweighted unipartite graph (Hamann et al., 2016 
   <doi:10.1007/s13278-016-0332-2>), a weighted  unipartite graph (Serrano et al., 
   2009 <doi:10.1073/pnas.0808904106>), the projection of an unweighted bipartite
   graph (Neal et al., <doi:10.1038/s41598-021-03238-3>, or the projection of a weighted
   bipartite graph (Neal, 2017 <doi:10.1177/0308518X16631339>). It also provides utility
   functions to generate random binary matrices with (a) given density, (b) given row
   and column marginals, and (c) given row and column marginal distributions.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.2
Depends: R (>= 2.10)
Imports: igraph, Matrix, methods, network, MASS, PoissonBinomial,
        stats, Rcpp, utils,
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
LinkingTo: Rcpp
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/zpneal/backbone
BugReports: https://github.com/zpneal/backbone/issues
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2022-03-15 15:09:24 UTC; zacharyneal
Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
  Rachel Domagalski [aut],
  Bruce Sagan [aut],
  Karl Godard [ctb]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2022-03-16 07:50:29 UTC

## backbone 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Graphs
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
@@ -29,11 +29,11 @@
 BugReports: https://github.com/zpneal/backbone/issues
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-03-15 15:09:24 UTC; zacharyneal
+Packaged: 2022-03-18 15:02:24 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [aut],
   Bruce Sagan [aut],
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2022-03-16 07:50:29 UTC
+Date/Publication: 2022-03-18 16:10:02 UTC

## backbone 2.0.3

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Graphs
Version: 2.0.3
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut"),
    person("Karl", "Godard", email = "godardk@umich.edu", role = "ctb")) 
Description: An implementation of methods for extracting an unweighted unipartite
   graph (i.e. a backbone) from an unweighted unipartite graph (e.g., Hamann et al.,
   2016  <doi:10.1007/s13278-016-0332-2>), a weighted  unipartite graph (e.g.,
   Serrano et al.,  2009 <doi:10.1073/pnas.0808904106>), the projection of an unweighted
   bipartite graph (e.g., Neal et al., <doi:10.1038/s41598-021-03238-3>, or the projection
   of a weighted bipartite graph (e.g., Neal, 2017 <doi:10.1177/0308518X16631339>).
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.2
Depends: R (>= 2.10)
Imports: igraph, Matrix, methods, network, MASS, PoissonBinomial,
        stats, Rcpp, utils,
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
LinkingTo: Rcpp
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/zpneal/backbone
BugReports: https://github.com/zpneal/backbone/issues
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2022-03-22 13:12:26 UTC; zacharyneal
Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
  Rachel Domagalski [aut],
  Bruce Sagan [aut],
  Karl Godard [ctb]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2022-03-22 14:10:08 UTC

## backbone 2.1.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Graphs
Version: 2.1.0
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut"),
    person("Karl", "Godard", email = "godardk@umich.edu", role = "ctb")) 
Description: An implementation of methods for extracting an unweighted unipartite
   graph (i.e. a backbone) from an unweighted unipartite graph, a weighted unipartite
   graph, the projection of an unweighted bipartite graph , or the projection
   of a weighted bipartite graph (Neal, 2022 <doi:10.1371/journal.pone.0269137>).
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.2
Depends: R (>= 2.10)
Imports: igraph, Matrix, methods, stats, Rcpp, utils,
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
LinkingTo: Rcpp
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/zpneal/backbone
BugReports: https://github.com/zpneal/backbone/issues
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2022-06-01 12:34:34 UTC; zacharyneal
Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
  Rachel Domagalski [aut],
  Bruce Sagan [aut],
  Karl Godard [ctb]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2022-06-01 14:20:04 UTC

## backbone 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Graphs
-Version: 2.1.0
+Version: 2.1.1
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
@@ -16,7 +16,7 @@
 RoxygenNote: 7.1.2
 Depends: R (>= 2.10)
 Imports: igraph, Matrix, methods, stats, Rcpp, utils,
-Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
+Suggests: knitr, rmarkdown, tinytest
 LinkingTo: Rcpp
 VignetteBuilder: knitr
 URL: https://www.zacharyneal.com/backbone,
@@ -24,11 +24,11 @@
 BugReports: https://github.com/zpneal/backbone/issues
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-06-01 12:34:34 UTC; zacharyneal
+Packaged: 2022-10-18 12:07:31 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [aut],
   Bruce Sagan [aut],
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2022-06-01 14:20:04 UTC
+Date/Publication: 2022-10-18 17:35:06 UTC

## backbone 2.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Graphs
-Version: 2.1.1
+Version: 2.1.2
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
-    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "aut"),
+    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "ctb"),
     person("Karl", "Godard", email = "godardk@umich.edu", role = "ctb")) 
 Description: An implementation of methods for extracting an unweighted unipartite
    graph (i.e. a backbone) from an unweighted unipartite graph, a weighted unipartite
@@ -24,11 +24,11 @@
 BugReports: https://github.com/zpneal/backbone/issues
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2022-10-18 12:07:31 UTC; zacharyneal
+Packaged: 2023-02-13 18:39:57 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [aut],
-  Bruce Sagan [aut],
+  Bruce Sagan [ctb],
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2022-10-18 17:35:06 UTC
+Date/Publication: 2023-02-13 21:20:02 UTC

## backbone 2.1.3

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Graphs
Version: 2.1.3
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
    person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "ctb"),
    person("Karl", "Godard", email = "godardk@umich.edu", role = "ctb")) 
Description: An implementation of methods for extracting an unweighted unipartite
   graph (i.e. a backbone) from an unweighted unipartite graph, a weighted unipartite
   graph, the projection of an unweighted bipartite graph, or the projection
   of a weighted bipartite graph (Neal, 2022 <doi:10.1371/journal.pone.0269137>).
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.3
Depends: R (>= 2.10)
Imports: igraph, Matrix, methods, stats, Rcpp, utils,
Suggests: knitr, rmarkdown, tinytest
LinkingTo: Rcpp
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/zpneal/backbone
BugReports: https://github.com/zpneal/backbone/issues
NeedsCompilation: yes
Packaged: 2024-01-24 16:09:22 UTC; zacharyneal
Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
  Rachel Domagalski [aut],
  Bruce Sagan [ctb],
  Karl Godard [ctb]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2024-01-24 16:22:47 UTC

## backbone 2.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Graphs
-Version: 2.1.3
+Version: 2.1.4
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
-    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "aut"), 
+    person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "ctb"), 
     person("Bruce", "Sagan", email = "bsagan@msu.edu", role = "ctb"),
     person("Karl", "Godard", email = "godardk@umich.edu", role = "ctb")) 
 Description: An implementation of methods for extracting an unweighted unipartite
@@ -23,11 +23,11 @@
         https://github.com/zpneal/backbone
 BugReports: https://github.com/zpneal/backbone/issues
 NeedsCompilation: yes
-Packaged: 2024-01-24 16:09:22 UTC; zacharyneal
+Packaged: 2024-05-09 17:56:55 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
-  Rachel Domagalski [aut],
+  Rachel Domagalski [ctb],
   Bruce Sagan [ctb],
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2024-01-24 16:22:47 UTC
+Date/Publication: 2024-05-09 18:50:03 UTC

## backbone 2.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Graphs
-Version: 2.1.4
+Version: 2.1.5
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", email = "domagal9@msu.edu", role = "ctb"), 
@@ -13,7 +13,7 @@
    of a weighted bipartite graph (Neal, 2022 <doi:10.1371/journal.pone.0269137>).
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Depends: R (>= 2.10)
 Imports: igraph, Matrix, methods, stats, Rcpp, utils,
 Suggests: knitr, rmarkdown, tinytest
@@ -23,11 +23,12 @@
         https://github.com/zpneal/backbone
 BugReports: https://github.com/zpneal/backbone/issues
 NeedsCompilation: yes
-Packaged: 2024-05-09 17:56:55 UTC; zacharyneal
-Author: Zachary Neal [aut, cre] (<https://orcid.org/0000-0003-3076-4995>),
+Packaged: 2025-07-29 14:54:37 UTC; zacharyneal
+Author: Zachary Neal [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [ctb],
   Bruce Sagan [ctb],
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2024-05-09 18:50:03 UTC
+Date/Publication: 2025-07-29 15:20:02 UTC

## backbone 3.0.0

=== DESCRIPTION ===
Package: backbone
Type: Package
Title: Extracts the Backbone from Networks
Version: 3.0.0
Authors@R: c(
    person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
    person("Rachel", "Domagalski", role = "ctb"), 
    person("Bruce", "Sagan", role = "ctb"),
    person("Karl", "Godard", role = "ctb")) 
Description: An implementation of methods for extracting a sparse unweighted network (i.e. a backbone)
    from an unweighted network (e.g., Hamann et al., 2016 <doi:10.1007/s13278-016-0332-2>), a weighted network
    (e.g., Serrano et al., 2009 <doi:10.1073/pnas.0808904106>), or a weighted projection (e.g., Neal et al., 2021
    <doi:10.1038/s41598-021-03238-3>).
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.3.2
Depends: R (>= 3.5)
Imports: igraph, Matrix, methods, stats, Rcpp, utils,
Suggests: knitr, rmarkdown, tinytest
LinkingTo: Rcpp
VignetteBuilder: knitr
URL: https://www.zacharyneal.com/backbone,
        https://github.com/zpneal/backbone
BugReports: https://github.com/zpneal/backbone/issues
LazyData: true
NeedsCompilation: yes
Packaged: 2025-09-15 14:43:54 UTC; zacharyneal
Author: Zachary Neal [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-3076-4995>),
  Rachel Domagalski [ctb],
  Bruce Sagan [ctb],
  Karl Godard [ctb]
Maintainer: Zachary Neal <zpneal@msu.edu>
Repository: CRAN
Date/Publication: 2025-09-15 19:00:11 UTC

## backbone 3.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Networks
-Version: 3.0.0
+Version: 3.0.1
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", role = "ctb"), 
@@ -24,7 +24,7 @@
 BugReports: https://github.com/zpneal/backbone/issues
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2025-09-15 14:43:54 UTC; zacharyneal
+Packaged: 2025-09-30 14:20:56 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [ctb],
@@ -32,4 +32,4 @@
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2025-09-15 19:00:11 UTC
+Date/Publication: 2025-09-30 15:20:02 UTC

## backbone 3.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Networks
-Version: 3.0.1
+Version: 3.0.2
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", role = "ctb"), 
@@ -24,7 +24,7 @@
 BugReports: https://github.com/zpneal/backbone/issues
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2025-09-30 14:20:56 UTC; zacharyneal
+Packaged: 2025-10-02 12:57:47 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [ctb],
@@ -32,4 +32,4 @@
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2025-09-30 15:20:02 UTC
+Date/Publication: 2025-10-06 18:40:13 UTC

## backbone 3.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: backbone
 Type: Package
 Title: Extracts the Backbone from Networks
-Version: 3.0.2
+Version: 3.0.3
 Authors@R: c(
     person("Zachary", "Neal", email = "zpneal@msu.edu", role = c("aut", "cre"), comment = c(ORCID = "0000-0003-3076-4995")),
     person("Rachel", "Domagalski", role = "ctb"), 
@@ -15,7 +15,7 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 Depends: R (>= 3.5)
-Imports: igraph, Matrix, methods, stats, Rcpp, utils,
+Imports: graphics, igraph, Matrix, methods, stats, Rcpp, utils,
 Suggests: knitr, rmarkdown, tinytest
 LinkingTo: Rcpp
 VignetteBuilder: knitr
@@ -24,7 +24,7 @@
 BugReports: https://github.com/zpneal/backbone/issues
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2025-10-02 12:57:47 UTC; zacharyneal
+Packaged: 2025-12-08 14:30:12 UTC; zacharyneal
 Author: Zachary Neal [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-3076-4995>),
   Rachel Domagalski [ctb],
@@ -32,4 +32,4 @@
   Karl Godard [ctb]
 Maintainer: Zachary Neal <zpneal@msu.edu>
 Repository: CRAN
-Date/Publication: 2025-10-06 18:40:13 UTC
+Date/Publication: 2025-12-08 15:00:02 UTC
